package com.telpo.dipperposition.controller;

import com.telpo.dipperposition.service.IDipperDataAsyncTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @program: DipperPositionController
 * @description: 北斗定位
 * @author: linwl
 * @create: 2020-07-10 14:01
 */
@RestController
@Slf4j
public class DipperDataAsyncTaskController {
    @Value(value = "${position-server.serverAddr}")
    private String hello;
  //RzlAccount rzlAccount;

    @Autowired
    IDipperDataAsyncTaskService dipperDataAsyncTaskService;

    /*
     * 拉取星历数据
     */
    public void pullAstEPH() {
        dipperDataAsyncTaskService.pullAstEPH();
    }

    /*
     * 获取星历数据
     */
    public String getAstEPH() {
        return dipperDataAsyncTaskService.getAstEPH();
    }


  @RequestMapping("/getPos")
  public String getPos() {
      return "return serverAddr = " + hello;
  }

}
