package com.telpo.dipperposition.controller;

import com.telpo.dipperposition.service.IDipperAstTimeAsyncTaskService;
import com.telpo.dipperposition.service.IDipperDataAsyncTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @program: DipperPositionController
 * @description: 北斗定位
 * @author: linwl
 * @create: 2020-07-10 14:01
 */
@RestController
@Slf4j
public class DipperAstTimeAsyncTaskController {

    @Autowired
    IDipperAstTimeAsyncTaskService dipperTimeAsyncTaskService;

    /*
     * 拉取星历数据
     */
    public String pushAstTime() {
        return dipperTimeAsyncTaskService.pushAstTime();
    }

}
